#include "strutil.h"

#include <string.h>

char* strright(const char* str, short len)
{
    short i, j = 0, slen;
    char* outstr;

    slen = strlen(str);

	if (len > slen - 1)
		len = slen - 1;

    outstr = new char[len];

	for (i = slen - len; i < slen; i++)
	{
		outstr[j] = str[i];
		j++;
	}
	outstr[len] = '\0';

	return outstr;
}

char* strleft(const char* str, short len)
{
	short i, slen;
    char* outstr;

    slen = strlen(str);

	if (len > slen - 1)
		len = slen - 1;

    outstr = new char[len + 1];

	for (i = 0; i < len; i++)
		outstr[i] = str[i];
	outstr[len] = '\0';

	return outstr;
}

char* strmid(const char* str, short start, short len)
{
	int i, j = 0, slen;
    char* outstr;

    slen = strlen(str);

	// Check for out of bounds and correct if necessary
	if (start > slen - 1)
		start = slen - 1;

	// If no length was specified then make it the length of the entire string
	if (len == 0) { len = slen - 1; }

	// Create string to hold the substring
    outstr = new char[len];

	// Copy the entire substring into the resulting string
	for (i = start; j < len; i++, j++)
		outstr[j] = str[i];

	return outstr;
}

char* strtrim(const char* str)
{
    int i, slen;
    char* outstr;

    slen = strlen(str);

    if (str[slen - 2] == '\r' && str[slen - 1] == '\n')
        slen = slen - 2;
    else if (str[slen - 1] == '\n')
        slen = slen - 1;

    outstr = new char[slen];

    for (i = 0; i <= slen; i++)
        outstr[i] = str[i];

    return outstr;
}
