/*
  Generation Olympia Engine - C++ Port
  Project Home: http://www.sourceforge.net/projects/qb2c/
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  $Id: mapeditglobals.h,v 1.6 2004/01/20 02:48:43 syn9 Exp $
*/

#ifndef INCLUDED_MAPEDITGLOBALS_HEADER
#define INCLUDED_MAPEDITGLOBALS_HEADER

// The size of this file is exponentionaly propotional to the need of
// refactoring

#define sys					001
#define system_save			010
#define system_save_detailed	011
#define system_save_simple		012
#define system_load			020
#define system_import			030
#define system_import_simple	031
#define system_import_ase		032
#define system_preferences	040

#define addplane			100
#define addplane_by_input	101
#define addplane_by_selection	102

#define addpoly				200

#define	addlight			300

#define remov				400
#define remove_plane		410
#define remove_poly			420
#define remove_isolated_points	430
#define remove_light		440

#define modify					800
#define modify_plane			810
#define modify_plane_by_input	811
#define modify_plane_rotate		812
#define modify_plane_translate	813
#define modify_plane_translate_direct	814
#define modify_plane_translate_free		815
#define modify_plane_reset_base	816
#define modify_plane_set_rotate_base	817
#define modify_plane_bind		818
#define modify_plane_clone		819

#define modify_poly					820
#define modify_poly_reset_vertii	821
#define modify_poly_texture			822
#define modify_poly_uvmap			823
#define modify_poly_hidden			824
#define modify_poly_clipped			825
#define modify_poly_transperant		826
#define modify_poly_trigger			827


#define modify_point			830
#define modify_point_by_input	831
#define modify_point_rotate		832
#define modify_point_translate	833
#define modify_point_translate_direct	834
#define modify_point_translate_free		835
#define modify_point_clone		836

#define modify_light			840
#define modify_light_number		841
#define modify_light_color		842
#define modify_light_strength	843
#define modify_light_strength_by_input		844
#define modify_light_strength_by_selection	845


#define select_point	700

#include <allegro.h>

#define max_planes	500
#define max_polies	1000
#define max_points	1000
#define max_lights	200

extern float playerx, playery, playerz, pratio;
extern short pscx, pscy;

extern short selplane, selpoly[max_polies], nlights, nselpoly, tselplane, tselpoint, tselpoly, nselpointc, sellight, nselpoint;
extern float selpoint[max_points][4], selpointc[max_points][4];
                       //x,y,z, real index
extern bool hlpoint, hlplane, hlpoly, grid;
extern float gridx, gridz, gridy, gridbase, tselpointinfo[3];


extern int fillmode;

extern short npcs, walkdir;
extern float curframe;

extern float tolerance;

extern short gameflags[10000];

extern short editingmode;

extern BITMAP *screenbuffer;
extern BITMAP *d3buffer[5];
extern BITMAP *texturesb;
extern BITMAP *texturesc;

extern float bk_camx, bk_camy, bk_camz, bk_camrx, bk_camry, bk_camrz, bk_scrny, bk_gridbase, bk_xzoomratio, bk_yzoomratio;
extern bool bk_bfc;

extern char curfile[20];

extern bool hud;

#endif
