/*
  Generation Olympia Engine - C++ Port
  Project Home: http://www.sourceforge.net/projects/qb2c/
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  $Id: mapeditgui.h,v 1.4 2004/01/20 02:48:43 syn9 Exp $
*/

#ifndef INCLUDED_MAPEDITGUI_HEADER
#define INCLUDED_MAPEDITGUI_HEADER

void gui_addplane_by_selection();

void gui_modify_light_color();
void gui_modify_light_number();
void gui_modify_light_strength_by_input();

void gui_modify_plane_by_input();
void gui_modify_poly_transperant();
void gui_modify_poly_trigger();
void gui_modify_point_by_input();

int gui_select_texture(int basetx);

void gui_system_load();
void gui_system_save(int mode);

char* editbox(short x1, short y1, short x2, short y2, short length, char* basestr);
void textbox(short x1, short y1, short x2, short y2, short length, char* basestr);


#endif
