/*
  Generation Olympia Engine - C++ Port
  Project Home: http://www.sourceforge.net/projects/qb2c/
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  $Id: gameglobals.h,v 1.1 2003/12/29 03:31:08 syn9 Exp $
*/

#ifndef INCLUDED_GAMEGLOBALS_HEADER
#define INCLUDED_GAMEGLOBALS_HEADER

// The size of this file is exponentionaly propotional to the need of
// refactoring

#include <allegro.h>

#define	num_characters	20
#define	num_animations	3
#define status_standing		0
#define status_walking		1
#define status_attacking	2



extern float playerx, playery, playerz, pratio;
extern short pscx, pscy;

extern short npcs, walkdir, curstatus, curdungeon;
extern short inventory[20];
extern float curframe, triggerinfo[10000][9], cycle;

extern short gameflags[10000];

extern int	ambientc, nowplaying;

extern SAMPLE *bgmusic[3], *attack;

extern BITMAP *surroundbmp, *surroundcbmp, *triggerbmp;

extern BITMAP *frames[num_characters][num_animations][4][6];

extern BITMAP *objects[20];

#endif
